<div class="container">
    <div class="ui-g-12" style="background-color: white;">
        <div class="ui-g-12">
            <div class="ui-g-6">
                Nomor Payment Voucher
            </div>
            <div class="ui-g-6">
                <input type="text" class="form-control" name="nopayfin" id="field_nopayfin"
                    [(ngModel)]="payment.nopayfin"/>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Nomor Tanda Terima
            </div>
            <div class="ui-g-6">
                : {{payment.receiptno}}
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Tanggal Buat Purchase Payment
            </div>
            <div class="ui-g-6">
                : {{payment.dtcreate | date:'dd-MM-yyyy'}}
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Relasi (Supplier)
            </div>
            <div class="ui-g-6">
                : {{payment.payto}} - {{payment.paytoname}}
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Jumlah Tagihan
            </div>
            <div class="ui-g-6">
                <input currencyMask class="form-control" name="jumlah" id="field_jumlah" [(ngModel)]="payment.totalpay"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
            </div>
        </div>
        <div class="ui-g-4">
            <label class="form-control-label" for="field_Tipe">Bayar Semua invoice ?</label>
            <p-checkbox name="isall" binary="true" [(ngModel)]="isAll" (click)="checkIsAll()"></p-checkbox>
            <label class="form-control-label" for="field_Tipe">{{strAll}}</label>
        </div>
        <div class="ui-g-12" *ngIf="!isAll">
            <div class="ui-g-6">
                Data Invoice
                <div>
                </div>
            </div>
            <div>
                <p-dataTable [value]="invs" [editable]="true" [responsive]="true">
                    <header>
                    </header>
                    <p-column header="No">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="No Tanda Terima">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.receiptno}}
                        </ng-template>
                    </p-column>
                    <p-column header="No Faktur">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.invno}}
                        </ng-template>
                    </p-column>
                    <p-column header="No Faktur Pajak">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.taxinvno}}
                        </ng-template>
                    </p-column>
                    <p-column header="Total Belum PPN (POKOK) " *ngIf="payment.valuta != 'Rp'">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <p-checkbox name="rowData.checkpokok" binary="true" [(ngModel)]="rowData.checkpokok" (click)="cekpokok(rowData)"></p-checkbox>
                            <input currencyMask class="form-control" name="paynoppn" id="paynoppn"
                                [(ngModel)]="rowData.paynoppn"
                                [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                                [disabled]="true" />
                        </ng-template>
                    </p-column>
                    <p-column header="PPN" *ngIf="payment.valuta != 'Rp'">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <p-checkbox name="rowData.checkppn" binary="true" [(ngModel)]="rowData.checkppn" (click)="cekppn(rowData)"></p-checkbox>
                            <input currencyMask class="form-control" name="ppn" id="ppn"
                                [(ngModel)]="rowData.ppn"
                                [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                                [disabled]="true" />
                        </ng-template>
                    </p-column>
                    <p-column header="Total ">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <input currencyMask class="form-control" name="totalpaid" id="totalpaid"
                                [(ngModel)]="rowData.grandtotal"
                                [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                                [disabled]="true" />
                        </ng-template>
                    </p-column>
                    <p-column header="Total Bayar">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <input currencyMask class="form-control" name="totalpaid" id="totalpaid"
                                [(ngModel)]="rowData.totalpaid"
                                [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" 
                                (blur)="payINV(rowData)"/>
                        </ng-template>
                    </p-column>
                </p-dataTable>
            </div>
        </div>
        <div class="ui-g-12 form-group" *ngIf="payment.valuta != 'Rp'">
            <div class="ui-g-6" >
                Jumlah PPN 
            </div>
            <div class="ui-g-6">
                <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="payment.ppn"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" [disabled]="true" />
            </div>
        </div>
        <div class="ui-g-12 form-group" *ngIf="payment.valuta != 'Rp'">
            <div class="ui-g-6" >
                Jumlah PPN Harus diBayar (Rp)
            </div>
            <div class="ui-g-6">
                <p-checkbox name="ppn" binary="true" [(ngModel)]="cekByrPPN" (click)="cekbayarppn()" [disabled]="!isAll || (paidPPn >= payment.totalpaidppn)"></p-checkbox>
                <input currencyMask class="form-control" name="totalpaidppn" id="field_ppn" [(ngModel)]="payment.totalppn"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"  [disabled]="paidPPn >= payment.totalpaidppn"/>
            </div>
        </div>
        <div class="ui-g-12 form-group" *ngIf="payment.valuta != 'Rp'">
            <div class="ui-g-6" >
                Jumlah Pokok Harus diBayar {{payment.valuta}}
            </div>
            <div class="ui-g-6">
                <p-checkbox name="pokok" binary="true" [(ngModel)]="cekByrPokok" (click)="cekbayarpokok()" [disabled]="!isAll || (paidPokok >= payment.totalpaidnoppn)"></p-checkbox>
                <input currencyMask class="form-control" name="totalpaidppn" id="field_ppn" [(ngModel)]="payment.totalpaidnoppn"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"  [disabled]="paidPokok >= payment.totalpaidnoppn"/>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="form-group ui-g-6">
                <label class="form-control-label" for="field_note">Biaya Lain - Lain</label>
            </div>
            <div class="form-group ui-g-6">
                <input currencyMask class="form-control" name="total" id="field_total"
                    [(ngModel)]="payment.additionalcosts2"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="checkIsAll()" />
            </div>
        </div>
        <div class="ui-g-12">
            <div class="form-group ui-g-6">
                <label class="form-control-label" for="field_note">Catatan Biaya Lain - Lain</label>
            </div>
            <div class="form-group ui-g-6">
                <input type="text" [(ngModel)]="payment.additionalcostsnote2" style="width: 100%;"/>
                <!-- <label class="form-control-label" for="field_note">Default akan terisi "Materai"</label> -->
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Jumlah Harus diBayar
            </div>
            <div class="ui-g-6">
                <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan1" (click)="checkIsAll()"></p-checkbox>
                <label class="form-control-label" for="field_Tipe">{{lblpembualatan1}}</label>
                <div class="ui-g-6" *ngIf="pembulatan1 === true">
                    <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan1" (click)="checkIsAll()"></p-checkbox>
                    <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan1}}</label>
                </div>
                <input currencyMask class="form-control" name="totalpaid" id="field_totalpaid" [(ngModel)]="totalpaid"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" />
            </div>
        </div>
        <div class="ui-g-12 form-group" *ngIf="payment.valuta != 'Rp'">
            <div class="ui-g-6">
                Kurs
            </div>
            <div class="ui-g-6">
                <input currencyMask class="form-control" name="kurs" id="field_kurs" [(ngModel)]="payment.kurspay"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" />
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Tanggal Jatuh Tempo
            </div>
            <div class="ui-g-6">
                : {{payment.dtdue | date:'dd-MM-yyyy'}}
            </div>
        </div>
        <div class="ui-g-12 form-group" >
            <div class="ui-g-6">
                Tanggal Release
            </div>
            <div class="ui-g-6 form-group">
                <p-calendar inputId="field_dtrelease" name="input_dtrelease" [(ngModel)]="dtrelease"
                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                    appendTo="body" [disabled]="!isview" autocomplete="off"></p-calendar>
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                No. Giro / Bayar
            </div>
            <div class="ui-g-6 form-group">
                <input type="text" class="form-control" name="nogiro" id="field_nogiro" [(ngModel)]="payment.nogiro"
                    [disabled]="!isview" autocomplete="off"/>
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Tgl. Giro / Bayar
            </div>
            <div class="ui-g-6 form-group">
                <p-calendar inputId="field_dtpay" name="input_dtpay" [(ngModel)]="dtpay" dateFormat="dd-MM-yy"
                    [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                    [disabled]="!isview" autocomplete="off"></p-calendar>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Nama Bank
            </div>
            <div class="ui-g-6">
                <select class="form-control" id="field_bank" name="bank" [(ngModel)]="payment.bankcode" (onChange)="checkIsAll()">
                    <option [ngValue]=""></option>
                    <option [ngValue]="bank.bankcode" *ngFor="let bank of banks;">{{bank.bankname}}</option>
                </select>
            </div>
        </div>
        <div class="ui-g-12" *ngIf="payment.idpay">
            <!-- <jhi-pay-history [idpay]="payment.idpay" (fnCallback)=update($event)></jhi-pay-history> -->
            <jhi-pay-history [idpay]="payment.idpay" (fnCallback)=update($event)  [reload]="reload"></jhi-pay-history>
        </div>
        <div class="ui-g-12" style="margin-bottom: 50px;">
            <div class="btn-group flex-btn-group-container">
                <button pButton type="submit" label="Bayar" icon="fa-money" class="ui-button-primary flat-label-button"
                    (click)="updatepay()" [disabled]="(payment.totalpaid >= payment.totalpay) || totalpaid === 0">
                </button>
                <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
                </button>
            </div>
        </div>
    </div>
    <div style="margin-bottom: 50px;"></div>
</div>
<p-confirmDialog></p-confirmDialog>